<?php if (!defined('BASEPATH')) exit('No direct script access allowed');

class c_template_tanda_terima_akta_cerai_agama extends CI_Controller {

    function index() {
        if($this->session->userdata('is_logged_in')==FALSE){
        redirect('login'); 
        }
    }

	function cetak_akta_cerai(){  
        if($this->session->userdata('is_logged_in')==FALSE){
        redirect('login'); }
		
		$data['enc']=$this->uri->segment('3');
		$idperkara=$this->encrypt->decode(base64_decode($data['enc']));
        if(!is_numeric($idperkara) OR !intval($idperkara)>0){
            show_404();
            exit();
        }    
		
		$this->load->model('generate_template/peradilan_agama/m_template_tanda_terima_akta_cerai_agama','template');
		$data['dataAktaCerai']=$this->template->getAktaCerai($idperkara);
        $data['dataIkrar']=$this->template->getDataIkrar($idperkara);
		$data['jenisPerkaraID']=$this->tanggalhelper->getIDJenisPerkara($idperkara);
		$data['dataPihak1']=$this->template->get_data_pihak_loop($idperkara,1);
        $data['dataPihak2']=$this->template->get_data_pihak_loop($idperkara,2);
        $data['dataperkara'] = $this->template->getDataPerkara($idperkara);
        $data['datapernikahan'] = $this->template->getDataPernikahan($idperkara);
        $data['datapengadilan'] = $this->template->getDataPA();
        $data['dataPutusan']=$this->template->getDataPutusan($idperkara,2);
        
        $this->load->view('generate_template/peradilan_agama/cetak_tanda_terima_akta_cerai',$data,FALSE);
    }
	
	
   

}
?>